VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IScaleFactorChangedListener Class Referenceabstract

`#include <iscalefactorchangedlistener.h>`

Inheritance diagram for IScaleFactorChangedListener:

## Public Member Functions
virtual | ~IScaleFactorChangedListener () noexcept=default
virtual void | onScaleFactorChanged (CFrame *frame, double newScaleFactor)=0

## Constructor & Destructor Documentation

## ◆ ~IScaleFactorChangedListener()

virtual ~IScaleFactorChangedListener | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ onScaleFactorChanged()

virtual void onScaleFactorChanged | ( | CFrame * | frame,
|  | double | newScaleFactor )
| pure virtual

Implemented in CExternalControl, CExternalView, CLayeredViewContainer, COpenGLView, and CShadowViewContainer.

The documentation for this class was generated from the following file:

- iscalefactorchangedlistener.h